#
# System notifications
#

{ config, lib, pkgs, ... }:

{
  services.matrix-synapse = {
    enable = true;
    settings = {
        server_name = "kabtop.de";
        public_baseurl = "https://kabtop.de:8448";
        turn_uris = [
            "turn:srtsa"
        ];
        turn_shared_secret = "psycopg2";
        database.args.user = "synapse";
        database.args.database = "synapsedb";
        admin_contact: "mailto:admin@kabtop.de";
        retention:
          enabled: true
          default_policy:
            min_lifetime: 1d
            max_lifetime: 1y
        federation_client_minimum_tls_version: 1.2
        password_config:
          policy:
            enabled: true
            minimum_length: 8
            require_digit: true
            require_lowercase: true
            require_uppercase: true
        email:
          smtp_host: in-v3.mailjet.com
          smtp_port: 587
          smtp_user: "secret123"
          smtp_pass: "secret123"
          require_transport_security: true
          enable_tls: true
          notif_from: "%(app)s homeserver <postmaster@kabtop.de>"
          app_name: "Kabtop Matrix"
          enable_notifs: true
        push:
          include_content: false
        database:
          args:
            password: "secret123"
            host: localhost
    };

}
